package com.db.service.model;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author liuhx
 * @create 2019/04/01 18:52
 * @email liuhx@elab-plus.com
 **/
@Table(name = "tianchi_fresh_comp_train_user_2w")
public class TrainUser {

    @Id
    private Integer id;

    @javax.persistence.Column(name="user_id")
    private Integer userId;

    @javax.persistence.Column(name="item_id")
    private Integer itemId;

    @javax.persistence.Column(name="behavior_type")
    private String behaviorType;

    @javax.persistence.Column(name="user_geohash")
    private String userGeohash;

    @javax.persistence.Column(name="item_category")
    private String itemCategory;

    @javax.persistence.Column(name="time")
    private String time;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getItemId() {
        return itemId;
    }

    public void setItemId(Integer itemId) {
        this.itemId = itemId;
    }

    public String getBehaviorType() {
        return behaviorType;
    }

    public void setBehaviorType(String behaviorType) {
        this.behaviorType = behaviorType;
    }

    public String getUserGeohash() {
        return userGeohash;
    }

    public void setUserGeohash(String userGeohash) {
        this.userGeohash = userGeohash;
    }

    public String getItemCategory() {
        return itemCategory;
    }

    public void setItemCategory(String itemCategory) {
        this.itemCategory = itemCategory;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }
}
